summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scilab/Makefile.OBJ.in2
-rw-r--r--scilab/Makefile.incl.in15
-rwxr-xr-xscilab/configure841
-rw-r--r--scilab/configure.in231
-rw-r--r--scilab/routines/Makefile.in2
5 files changed, 44 insertions, 1047 deletions
diff --git a/scilab/Makefile.OBJ.in b/scilab/Makefile.OBJ.in
index b8c6e2c..b562479 100644
--- a/scilab/Makefile.OBJ.in
+++ b/scilab/Makefile.OBJ.in
@@ -15,7 +15,7 @@ LIBRSCI = $(SCIDIR)/libs/system.a $(SCIDIR)/libs/console.a \
15 $(SCIDIR)/libs/lapack.a $(SCIDIR)/libs/graphics.a \ 15 $(SCIDIR)/libs/lapack.a $(SCIDIR)/libs/graphics.a \
16 $(SCIDIR)/libs/sparse.a $(SCIDIR)/libs/metanet.a \ 16 $(SCIDIR)/libs/sparse.a $(SCIDIR)/libs/metanet.a \
17 $(SCIDIR)/libs/os_specific.a $(SCIDIR)/libs/gd.a \ 17 $(SCIDIR)/libs/os_specific.a $(SCIDIR)/libs/gd.a \
18 $(SCIDIR)/libs/intersci.a $(SCIDIR)/libs/@GUILIB@.a \ 18 $(SCIDIR)/libs/intersci.a $(SCIDIR)/libs/xsci.a \
19 $(SCIDIR)/libs/graphics.a $(SCIDIR)/libs/menusX.a \ 19 $(SCIDIR)/libs/graphics.a $(SCIDIR)/libs/menusX.a \
20 $(SCIDIR)/libs/fileio.a $(SCIDIR)/libs/dcd.a $(SCIDIR)/libs/rand.a \ 20 $(SCIDIR)/libs/fileio.a $(SCIDIR)/libs/dcd.a $(SCIDIR)/libs/rand.a \
21 $(BLAS) \ 21 $(BLAS) \
diff --git a/scilab/Makefile.incl.in b/scilab/Makefile.incl.in
index 3acae96..e18081b 100644
--- a/scilab/Makefile.incl.in
+++ b/scilab/Makefile.incl.in
@@ -32,8 +32,7 @@ CXX_CPP = @CXXCPP@
32# and for linking: $(CC) -o $(PROGRAM) $(OBJS) $(CC_LDFLAGS) 32# and for linking: $(CC) -o $(PROGRAM) $(OBJS) $(CC_LDFLAGS)
33########### 33###########
34CC = @CC@ 34CC = @CC@
35#CC_OPTIONS = @CC_OPTIONS@ @GTKCFLAGS@ @GNOMECFLAGS@ 35CC_OPTIONS = @CC_OPTIONS@
36CC_OPTIONS = @CC_OPTIONS@ @GNOMECFLAGS@
37CC_LDFLAGS = @CC_LDFLAGS@ 36CC_LDFLAGS = @CC_LDFLAGS@
38CC_PICFLAGS = @CC_PICFLAGS@ 37CC_PICFLAGS = @CC_PICFLAGS@
39 38
@@ -77,7 +76,7 @@ XFLAGS = @XAW_LOCAL_INCLUDES@ @X_CFLAGS@
77X_EXTRA_LIBS = @X_EXTRA_LIBS@ 76X_EXTRA_LIBS = @X_EXTRA_LIBS@
78XXTXEXT= @XXTXEXT@ 77XXTXEXT= @XXTXEXT@
79XX11 = @XX11@ 78XX11 = @XX11@
80XLIBS = @GTKLIBS@ @X_LIBS@ $(XAWLIB) $(XMULIB) $(XXTXEXT) @X_PRE_LIBS@ $(XX11) $(X_EXTRA_LIBS) 79XLIBS = @X_LIBS@ $(XAWLIB) $(XMULIB) $(XXTXEXT) @X_PRE_LIBS@ $(XX11) $(X_EXTRA_LIBS)
81 80
82##################### 81#####################
83# TCL/TK 82# TCL/TK
@@ -88,13 +87,3 @@ TK_INC_PATH = @TK_INC_PATH@
88TCL_INC_PATH = @TCL_INC_PATH@ 87TCL_INC_PATH = @TCL_INC_PATH@
89TCLTK_LIBS = @TCLTK_LIBS@ 88TCLTK_LIBS = @TCLTK_LIBS@
90 89
91#####################
92# for WIN32 version
93# win32 libraries for gcwin32
94WIN32LIBS=-mwindows -lwsock32 -lshell32 -lcomctl32 -lwinspool -lm
95WINLIBS = $(TCLTK_LIBS) $(WIN32LIBS)
96LINKEROPT= $(LD_LDFLAGS)
97# Ressource compiler
98RC=windres
99RCVARS=-O coff
100
diff --git a/scilab/configure b/scilab/configure
index 41a5eb1..14368a2 100755
--- a/scilab/configure
+++ b/scilab/configure
@@ -464,7 +464,7 @@ ac_includes_default="\
464# include <unistd.h> 464# include <unistd.h>
465#endif" 465#endif"
466 466
467ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os WITH_GCC WITH_G77 WITH_GFORTRAN ICC IFC CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL F2C FLIBS WITH_F95 X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS WITH_JAVAC _ACJNI_JAVAC GTK_CONFIG GNOME_CONFIG PKG_CONFIG with_ocamlc with_ocamlopt with_ocamldep WITH_XSLTPROC WITH_SABCMD RM AR_FLAGS FILES_TO_CLEAN CC_OPTIONS CC_LDFLAGS CC_PICFLAGS FC FC_OPTIONS FC_OPTIONS1 FC_OPTIONS2 FC_LDFLAGS FC_PICFLAGS LD LD_LDFLAGS SCILAB_GS SCILABSCRIPT FGETARG GETARG HPPA_OLD DLDLIB DLD_SUBDIR XAWLIB XAW XMULIB XAW_LOCAL_SUBDIR XAW_LOCAL_INCLUDES XAW_LOCAL_LIB GTKCFLAGS GTKLIBS GNOMECFLAGS TERMCAPLIB MAIN MAKEFILE_TARGET PERIFILE GUILIB GZVT XDRLIB XDRLIBNAME WINXFLAGS MENUSOBJS MALLOC PVMARCH PVMLIB PVMSCIDIR PVMSCILIB PVMGLIB PVMTARGET PVMROOT PVMROOTR PVMINST PVMINST1 PVMINCLUDE PVMHOSTERFILES PVMHOSTER PVMHELP TKBASE TK_INC_PATH TCL_INC_PATH TCLTK_LIBS TCLSCILIB TCLSCIDIR TCLTKHELP TK_MINOR_VERSION TK_MAJOR_VERSION NOINLINE WHICH_BLAS ATLAS_DIR IN_ATLAS OCAMLTARGET WITH_OCAML MANTARGET DLLTOOL LIBM LIBTOOL_DEPS NM OBJDUMP PACKAGE STATIC SCIVERSION SONAME FC_SUBDIR BLPR_SCRIPTS F2C_SUBDIR EXAMPLES_TESTS IMPPREF IMPENV ZZLEDT HTMLFLAGS GTKPLUGBUG XXTXEXT XX11 PERIX11NOPT GETLIBTK MANGENERATOR TERM_NAME TERM_LDFLAGS JAVASCITARGET JAVA_INCL GCCFIX LIBOBJS LTLIBOBJS' 467ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os WITH_GCC WITH_G77 WITH_GFORTRAN ICC IFC CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP CPP CXX CXXFLAGS ac_ct_CXX CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL F2C FLIBS WITH_F95 X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS WITH_JAVAC _ACJNI_JAVAC with_ocamlc with_ocamlopt with_ocamldep WITH_XSLTPROC WITH_SABCMD RM AR_FLAGS FILES_TO_CLEAN CC_OPTIONS CC_LDFLAGS CC_PICFLAGS FC FC_OPTIONS FC_OPTIONS1 FC_OPTIONS2 FC_LDFLAGS FC_PICFLAGS LD LD_LDFLAGS SCILAB_GS SCILABSCRIPT FGETARG GETARG HPPA_OLD DLDLIB DLD_SUBDIR XAWLIB XAW XMULIB XAW_LOCAL_SUBDIR XAW_LOCAL_INCLUDES XAW_LOCAL_LIB TERMCAPLIB MAIN MAKEFILE_TARGET PERIFILE XDRLIB XDRLIBNAME WINXFLAGS MENUSOBJS MALLOC PVMARCH PVMLIB PVMSCIDIR PVMSCILIB PVMGLIB PVMTARGET PVMROOT PVMROOTR PVMINST PVMINST1 PVMINCLUDE PVMHOSTERFILES PVMHOSTER PVMHELP TKBASE TK_INC_PATH TCL_INC_PATH TCLTK_LIBS TCLSCILIB TCLSCIDIR TCLTKHELP TK_MINOR_VERSION TK_MAJOR_VERSION NOINLINE WHICH_BLAS ATLAS_DIR IN_ATLAS OCAMLTARGET WITH_OCAML MANTARGET DLLTOOL LIBM LIBTOOL_DEPS NM OBJDUMP PACKAGE STATIC SCIVERSION SONAME FC_SUBDIR BLPR_SCRIPTS F2C_SUBDIR EXAMPLES_TESTS IMPPREF IMPENV ZZLEDT HTMLFLAGS XXTXEXT XX11 PERIX11NOPT GETLIBTK MANGENERATOR TERM_NAME TERM_LDFLAGS JAVASCITARGET JAVA_INCL GCCFIX LIBOBJS LTLIBOBJS'
468ac_subst_files='' 468ac_subst_files=''
469 469
470# Initialize some variables set by options. 470# Initialize some variables set by options.
@@ -1044,8 +1044,6 @@ Optional Packages:
1044 --with-local-xaw use Xaw3d widgets given with Scilab 1044 --with-local-xaw use Xaw3d widgets given with Scilab
1045 --without-pvm do not compile with PVM library 1045 --without-pvm do not compile with PVM library
1046 --without-tk do not compile with TCL/TK 1046 --without-tk do not compile with TCL/TK
1047 --with-gtk use Gtk widgets
1048 --with-gtk2 use Gtk widgets
1049 --with-addedf2c build a local f2c (routines/f2c) 1047 --with-addedf2c build a local f2c (routines/f2c)
1050 --without-ocaml do not compile with ocaml 1048 --without-ocaml do not compile with ocaml
1051 --without-java do not compile Java interface 1049 --without-java do not compile Java interface
@@ -1676,20 +1674,6 @@ if test "${with_tk+set}" = set; then
1676fi; 1674fi;
1677 1675
1678 1676
1679# Check whether --with-gtk or --without-gtk was given.
1680if test "${with_gtk+set}" = set; then
1681 withval="$with_gtk"
1682
1683fi;
1684
1685
1686# Check whether --with-gtk2 or --without-gtk2 was given.
1687if test "${with_gtk2+set}" = set; then
1688 withval="$with_gtk2"
1689
1690fi;
1691
1692
1693# Check whether --with-addedf2c or --without-addedf2c was given. 1677# Check whether --with-addedf2c or --without-addedf2c was given.
1694if test "${with_addedf2c+set}" = set; then 1678if test "${with_addedf2c+set}" = set; then
1695 withval="$with_addedf2c" 1679 withval="$with_addedf2c"
@@ -2108,7 +2092,6 @@ fi
2108# different for MIPS Ultrix 2092# different for MIPS Ultrix
2109SCILAB_GS=sh 2093SCILAB_GS=sh
2110# scilab script file in script directory: default is "scilab.g" for UNIX 2094# scilab script file in script directory: default is "scilab.g" for UNIX
2111# for gcwin32 use "scilab-gcwin32.g"
2112SCILABSCRIPT=scilab.g 2095SCILABSCRIPT=scilab.g
2113# Fortran program in routines/os_specific: default is "fgetarg.f" 2096# Fortran program in routines/os_specific: default is "fgetarg.f"
2114# for HPUX use "fgetarg-hpux.f" 2097# for HPUX use "fgetarg-hpux.f"
@@ -2120,19 +2103,13 @@ HPPA_OLD=
2120# Scilab main file: default is "mainsci.o" for UNIX 2103# Scilab main file: default is "mainsci.o" for UNIX
2121MAIN='mainsci.o' 2104MAIN='mainsci.o'
2122# for graphics: default is X11 2105# for graphics: default is X11
2123# different for Win32
2124PERIFILE=periX11.o 2106PERIFILE=periX11.o
2125# specific scilab dirs for graphics: default is "xsci" for X11 2107# specific scilab dirs for graphics: default is "xsci" for X11
2126# different for Win32
2127GUILIB=xsci 2108GUILIB=xsci
2128# specific for gnome/gtk version
2129GZVT=
2130# specific scilab dirs for xdr: default is void for X11 2109# specific scilab dirs for xdr: default is void for X11
2131# xdr for Win32
2132XDRLIB= 2110XDRLIB=
2133XDRLIBNAME= 2111XDRLIBNAME=
2134# objects files in routines/menusX: default is XOBJS for UNIX 2112# objects files in routines/menusX: default is XOBJS for UNIX
2135# for Win32 use WOBJS
2136MENUSOBJS=XOBJS 2113MENUSOBJS=XOBJS
2137# use other malloc (in "routines/os_specific" directory) for some 64 bits machines 2114# use other malloc (in "routines/os_specific" directory) for some 64 bits machines
2138MALLOC= 2115MALLOC=
@@ -2144,8 +2121,6 @@ if test "$with_addedf2c" = yes; then
2144else 2121else
2145 F2C_SUBDIR= 2122 F2C_SUBDIR=
2146fi 2123fi
2147# on windows target generating scripts for
2148# printing is useless
2149BLPR_SCRIPTS='$(BPROGRAMS)' 2124BLPR_SCRIPTS='$(BPROGRAMS)'
2150EXAMPLES_TESTS='$(SUBDIRS1) $(SUBDIRS2)' 2125EXAMPLES_TESTS='$(SUBDIRS1) $(SUBDIRS2)'
2151IMPPREF=S 2126IMPPREF=S
@@ -3644,7 +3619,7 @@ ia64-*-hpux*)
3644 ;; 3619 ;;
3645*-*-irix6*) 3620*-*-irix6*)
3646 # Find out which ABI we are using. 3621 # Find out which ABI we are using.
3647 echo '#line 3647 "configure"' > conftest.$ac_ext 3622 echo '#line 3622 "configure"' > conftest.$ac_ext
3648 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 3623 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3649 (eval $ac_compile) 2>&5 3624 (eval $ac_compile) 2>&5
3650 ac_status=$? 3625 ac_status=$?
@@ -5114,7 +5089,7 @@ fi
5114 5089
5115 5090
5116# Provide some information about the compiler. 5091# Provide some information about the compiler.
5117echo "$as_me:5117:" \ 5092echo "$as_me:5092:" \
5118 "checking for Fortran 77 compiler version" >&5 5093 "checking for Fortran 77 compiler version" >&5
5119ac_compiler=`set X $ac_compile; echo $2` 5094ac_compiler=`set X $ac_compile; echo $2`
5120{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 5095{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6216,11 +6191,11 @@ else
6216 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 6191 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6217 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 6192 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6218 -e 's:$: $lt_compiler_flag:'` 6193 -e 's:$: $lt_compiler_flag:'`
6219 (eval echo "\"\$as_me:6219: $lt_compile\"" >&5) 6194 (eval echo "\"\$as_me:6194: $lt_compile\"" >&5)
6220 (eval "$lt_compile" 2>conftest.err) 6195 (eval "$lt_compile" 2>conftest.err)
6221 ac_status=$? 6196 ac_status=$?
6222 cat conftest.err >&5 6197 cat conftest.err >&5
6223 echo "$as_me:6223: \$? = $ac_status" >&5 6198 echo "$as_me:6198: \$? = $ac_status" >&5
6224 if (exit $ac_status) && test -s "$ac_outfile"; then 6199 if (exit $ac_status) && test -s "$ac_outfile"; then
6225 # The compiler can only warn and ignore the option if not recognized 6200 # The compiler can only warn and ignore the option if not recognized
6226 # So say no if there are warnings other than the usual output. 6201 # So say no if there are warnings other than the usual output.
@@ -6478,11 +6453,11 @@ else
6478 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 6453 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6479 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 6454 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6480 -e 's:$: $lt_compiler_flag:'` 6455 -e 's:$: $lt_compiler_flag:'`
6481 (eval echo "\"\$as_me:6481: $lt_compile\"" >&5) 6456 (eval echo "\"\$as_me:6456: $lt_compile\"" >&5)
6482 (eval "$lt_compile" 2>conftest.err) 6457 (eval "$lt_compile" 2>conftest.err)
6483 ac_status=$? 6458 ac_status=$?
6484 cat conftest.err >&5 6459 cat conftest.err >&5
6485 echo "$as_me:6485: \$? = $ac_status" >&5 6460 echo "$as_me:6460: \$? = $ac_status" >&5
6486 if (exit $ac_status) && test -s "$ac_outfile"; then 6461 if (exit $ac_status) && test -s "$ac_outfile"; then
6487 # The compiler can only warn and ignore the option if not recognized 6462 # The compiler can only warn and ignore the option if not recognized
6488 # So say no if there are warnings other than the usual output. 6463 # So say no if there are warnings other than the usual output.
@@ -6540,11 +6515,11 @@ else
6540 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 6515 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
6541 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 6516 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
6542 -e 's:$: $lt_compiler_flag:'` 6517 -e 's:$: $lt_compiler_flag:'`
6543 (eval echo "\"\$as_me:6543: $lt_compile\"" >&5) 6518 (eval echo "\"\$as_me:6518: $lt_compile\"" >&5)
6544 (eval "$lt_compile" 2>out/conftest.err) 6519 (eval "$lt_compile" 2>out/conftest.err)
6545 ac_status=$? 6520 ac_status=$?
6546 cat out/conftest.err >&5 6521 cat out/conftest.err >&5
6547 echo "$as_me:6547: \$? = $ac_status" >&5 6522 echo "$as_me:6522: \$? = $ac_status" >&5
6548 if (exit $ac_status) && test -s out/conftest2.$ac_objext 6523 if (exit $ac_status) && test -s out/conftest2.$ac_objext
6549 then 6524 then
6550 # The compiler can only warn and ignore the option if not recognized 6525 # The compiler can only warn and ignore the option if not recognized
@@ -8788,7 +8763,7 @@ else
8788 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 8763 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8789 lt_status=$lt_dlunknown 8764 lt_status=$lt_dlunknown
8790 cat > conftest.$ac_ext <<EOF 8765 cat > conftest.$ac_ext <<EOF
8791#line 8791 "configure" 8766#line 8766 "configure"
8792#include "confdefs.h" 8767#include "confdefs.h"
8793 8768
8794#if HAVE_DLFCN_H 8769#if HAVE_DLFCN_H
@@ -8886,7 +8861,7 @@ else
8886 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 8861 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
8887 lt_status=$lt_dlunknown 8862 lt_status=$lt_dlunknown
8888 cat > conftest.$ac_ext <<EOF 8863 cat > conftest.$ac_ext <<EOF
8889#line 8889 "configure" 8864#line 8864 "configure"
8890#include "confdefs.h" 8865#include "confdefs.h"
8891 8866
8892#if HAVE_DLFCN_H 8867#if HAVE_DLFCN_H
@@ -11145,11 +11120,11 @@ else
11145 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 11120 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
11146 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 11121 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11147 -e 's:$: $lt_compiler_flag:'` 11122 -e 's:$: $lt_compiler_flag:'`
11148 (eval echo "\"\$as_me:11148: $lt_compile\"" >&5) 11123 (eval echo "\"\$as_me:11123: $lt_compile\"" >&5)
11149 (eval "$lt_compile" 2>conftest.err) 11124 (eval "$lt_compile" 2>conftest.err)
11150 ac_status=$? 11125 ac_status=$?
11151 cat conftest.err >&5 11126 cat conftest.err >&5
11152 echo "$as_me:11152: \$? = $ac_status" >&5 11127 echo "$as_me:11127: \$? = $ac_status" >&5
11153 if (exit $ac_status) && test -s "$ac_outfile"; then 11128 if (exit $ac_status) && test -s "$ac_outfile"; then
11154 # The compiler can only warn and ignore the option if not recognized 11129 # The compiler can only warn and ignore the option if not recognized
11155 # So say no if there are warnings other than the usual output. 11130 # So say no if there are warnings other than the usual output.
@@ -11207,11 +11182,11 @@ else
11207 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 11182 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
11208 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 11183 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
11209 -e 's:$: $lt_compiler_flag:'` 11184 -e 's:$: $lt_compiler_flag:'`
11210 (eval echo "\"\$as_me:11210: $lt_compile\"" >&5) 11185 (eval echo "\"\$as_me:11185: $lt_compile\"" >&5)
11211 (eval "$lt_compile" 2>out/conftest.err) 11186 (eval "$lt_compile" 2>out/conftest.err)
11212 ac_status=$? 11187 ac_status=$?
11213 cat out/conftest.err >&5 11188 cat out/conftest.err >&5
11214 echo "$as_me:11214: \$? = $ac_status" >&5 11189 echo "$as_me:11189: \$? = $ac_status" >&5
11215 if (exit $ac_status) && test -s out/conftest2.$ac_objext 11190 if (exit $ac_status) && test -s out/conftest2.$ac_objext
11216 then 11191 then
11217 # The compiler can only warn and ignore the option if not recognized 11192 # The compiler can only warn and ignore the option if not recognized
@@ -12584,7 +12559,7 @@ else
12584 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 12559 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12585 lt_status=$lt_dlunknown 12560 lt_status=$lt_dlunknown
12586 cat > conftest.$ac_ext <<EOF 12561 cat > conftest.$ac_ext <<EOF
12587#line 12587 "configure" 12562#line 12562 "configure"
12588#include "confdefs.h" 12563#include "confdefs.h"
12589 12564
12590#if HAVE_DLFCN_H 12565#if HAVE_DLFCN_H
@@ -12682,7 +12657,7 @@ else
12682 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 12657 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
12683 lt_status=$lt_dlunknown 12658 lt_status=$lt_dlunknown
12684 cat > conftest.$ac_ext <<EOF 12659 cat > conftest.$ac_ext <<EOF
12685#line 12685 "configure" 12660#line 12660 "configure"
12686#include "confdefs.h" 12661#include "confdefs.h"
12687 12662
12688#if HAVE_DLFCN_H 12663#if HAVE_DLFCN_H
@@ -13567,11 +13542,11 @@ else
13567 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 13542 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
13568 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 13543 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13569 -e 's:$: $lt_compiler_flag:'` 13544 -e 's:$: $lt_compiler_flag:'`
13570 (eval echo "\"\$as_me:13570: $lt_compile\"" >&5) 13545 (eval echo "\"\$as_me:13545: $lt_compile\"" >&5)
13571 (eval "$lt_compile" 2>conftest.err) 13546 (eval "$lt_compile" 2>conftest.err)
13572 ac_status=$? 13547 ac_status=$?
13573 cat conftest.err >&5 13548 cat conftest.err >&5
13574 echo "$as_me:13574: \$? = $ac_status" >&5 13549 echo "$as_me:13549: \$? = $ac_status" >&5
13575 if (exit $ac_status) && test -s "$ac_outfile"; then 13550 if (exit $ac_status) && test -s "$ac_outfile"; then
13576 # The compiler can only warn and ignore the option if not recognized 13551 # The compiler can only warn and ignore the option if not recognized
13577 # So say no if there are warnings other than the usual output. 13552 # So say no if there are warnings other than the usual output.
@@ -13629,11 +13604,11 @@ else
13629 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 13604 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
13630 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 13605 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
13631 -e 's:$: $lt_compiler_flag:'` 13606 -e 's:$: $lt_compiler_flag:'`
13632 (eval echo "\"\$as_me:13632: $lt_compile\"" >&5) 13607 (eval echo "\"\$as_me:13607: $lt_compile\"" >&5)
13633 (eval "$lt_compile" 2>out/conftest.err) 13608 (eval "$lt_compile" 2>out/conftest.err)
13634 ac_status=$? 13609 ac_status=$?
13635 cat out/conftest.err >&5 13610 cat out/conftest.err >&5
13636 echo "$as_me:13636: \$? = $ac_status" >&5 13611 echo "$as_me:13611: \$? = $ac_status" >&5
13637 if (exit $ac_status) && test -s out/conftest2.$ac_objext 13612 if (exit $ac_status) && test -s out/conftest2.$ac_objext
13638 then 13613 then
13639 # The compiler can only warn and ignore the option if not recognized 13614 # The compiler can only warn and ignore the option if not recognized
@@ -15763,11 +15738,11 @@ else
15763 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 15738 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
15764 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 15739 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
15765 -e 's:$: $lt_compiler_flag:'` 15740 -e 's:$: $lt_compiler_flag:'`
15766 (eval echo "\"\$as_me:15766: $lt_compile\"" >&5) 15741 (eval echo "\"\$as_me:15741: $lt_compile\"" >&5)
15767 (eval "$lt_compile" 2>conftest.err) 15742 (eval "$lt_compile" 2>conftest.err)
15768 ac_status=$? 15743 ac_status=$?
15769 cat conftest.err >&5 15744 cat conftest.err >&5
15770 echo "$as_me:15770: \$? = $ac_status" >&5 15745 echo "$as_me:15745: \$? = $ac_status" >&5
15771 if (exit $ac_status) && test -s "$ac_outfile"; then 15746 if (exit $ac_status) && test -s "$ac_outfile"; then
15772 # The compiler can only warn and ignore the option if not recognized 15747 # The compiler can only warn and ignore the option if not recognized
15773 # So say no if there are warnings other than the usual output. 15748 # So say no if there are warnings other than the usual output.
@@ -16025,11 +16000,11 @@ else
16025 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 16000 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
16026 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 16001 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
16027 -e 's:$: $lt_compiler_flag:'` 16002 -e 's:$: $lt_compiler_flag:'`
16028 (eval echo "\"\$as_me:16028: $lt_compile\"" >&5) 16003 (eval echo "\"\$as_me:16003: $lt_compile\"" >&5)
16029 (eval "$lt_compile" 2>conftest.err) 16004 (eval "$lt_compile" 2>conftest.err)
16030 ac_status=$? 16005 ac_status=$?
16031 cat conftest.err >&5 16006 cat conftest.err >&5
16032 echo "$as_me:16032: \$? = $ac_status" >&5 16007 echo "$as_me:16007: \$? = $ac_status" >&5
16033 if (exit $ac_status) && test -s "$ac_outfile"; then 16008 if (exit $ac_status) && test -s "$ac_outfile"; then
16034 # The compiler can only warn and ignore the option if not recognized 16009 # The compiler can only warn and ignore the option if not recognized
16035 # So say no if there are warnings other than the usual output. 16010 # So say no if there are warnings other than the usual output.
@@ -16087,11 +16062,11 @@ else
16087 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \ 16062 -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
16088 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \ 16063 -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
16089 -e 's:$: $lt_compiler_flag:'` 16064 -e 's:$: $lt_compiler_flag:'`
16090 (eval echo "\"\$as_me:16090: $lt_compile\"" >&5) 16065 (eval echo "\"\$as_me:16065: $lt_compile\"" >&5)
16091 (eval "$lt_compile" 2>out/conftest.err) 16066 (eval "$lt_compile" 2>out/conftest.err)
16092 ac_status=$? 16067 ac_status=$?
16093 cat out/conftest.err >&5 16068 cat out/conftest.err >&5
16094 echo "$as_me:16094: \$? = $ac_status" >&5 16069 echo "$as_me:16069: \$? = $ac_status" >&5
16095 if (exit $ac_status) && test -s out/conftest2.$ac_objext 16070 if (exit $ac_status) && test -s out/conftest2.$ac_objext
16096 then 16071 then
16097 # The compiler can only warn and ignore the option if not recognized 16072 # The compiler can only warn and ignore the option if not recognized
@@ -18335,7 +18310,7 @@ else
18335 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 18310 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
18336 lt_status=$lt_dlunknown 18311 lt_status=$lt_dlunknown
18337 cat > conftest.$ac_ext <<EOF 18312 cat > conftest.$ac_ext <<EOF
18338#line 18338 "configure" 18313#line 18313 "configure"
18339#include "confdefs.h" 18314#include "confdefs.h"
18340 18315
18341#if HAVE_DLFCN_H 18316#if HAVE_DLFCN_H
@@ -18433,7 +18408,7 @@ else
18433 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 18408 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
18434 lt_status=$lt_dlunknown 18409 lt_status=$lt_dlunknown
18435 cat > conftest.$ac_ext <<EOF 18410 cat > conftest.$ac_ext <<EOF
18436#line 18436 "configure" 18411#line 18411 "configure"
18437#include "confdefs.h" 18412#include "confdefs.h"
18438 18413
18439#if HAVE_DLFCN_H 18414#if HAVE_DLFCN_H
@@ -20193,7 +20168,7 @@ _ACEOF
20193# flags. 20168# flags.
20194ac_save_FFLAGS=$FFLAGS 20169ac_save_FFLAGS=$FFLAGS
20195FFLAGS="$FFLAGS $ac_verb" 20170FFLAGS="$FFLAGS $ac_verb"
20196(eval echo $as_me:20196: \"$ac_link\") >&5 20171(eval echo $as_me:20171: \"$ac_link\") >&5
20197ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 20172ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
20198echo "$ac_f77_v_output" >&5 20173echo "$ac_f77_v_output" >&5
20199FFLAGS=$ac_save_FFLAGS 20174FFLAGS=$ac_save_FFLAGS
@@ -20271,7 +20246,7 @@ _ACEOF
20271# flags. 20246# flags.
20272ac_save_FFLAGS=$FFLAGS 20247ac_save_FFLAGS=$FFLAGS
20273FFLAGS="$FFLAGS $ac_cv_prog_f77_v" 20248FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
20274(eval echo $as_me:20274: \"$ac_link\") >&5 20249(eval echo $as_me:20249: \"$ac_link\") >&5
20275ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 20250ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
20276echo "$ac_f77_v_output" >&5 20251echo "$ac_f77_v_output" >&5
20277FFLAGS=$ac_save_FFLAGS 20252FFLAGS=$ac_save_FFLAGS
@@ -22416,7 +22391,7 @@ _ACEOF
22416# flags. 22391# flags.
22417ac_save_FFLAGS=$FFLAGS 22392ac_save_FFLAGS=$FFLAGS
22418FFLAGS="$FFLAGS $ac_verb" 22393FFLAGS="$FFLAGS $ac_verb"
22419(eval echo $as_me:22419: \"$ac_link\") >&5 22394(eval echo $as_me:22394: \"$ac_link\") >&5
22420ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 22395ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
22421echo "$ac_f77_v_output" >&5 22396echo "$ac_f77_v_output" >&5
22422FFLAGS=$ac_save_FFLAGS 22397FFLAGS=$ac_save_FFLAGS
@@ -22494,7 +22469,7 @@ _ACEOF
22494# flags. 22469# flags.
22495ac_save_FFLAGS=$FFLAGS 22470ac_save_FFLAGS=$FFLAGS
22496FFLAGS="$FFLAGS $ac_cv_prog_f77_v" 22471FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
22497(eval echo $as_me:22497: \"$ac_link\") >&5 22472(eval echo $as_me:22472: \"$ac_link\") >&5
22498ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 22473ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
22499echo "$ac_f77_v_output" >&5 22474echo "$ac_f77_v_output" >&5
22500FFLAGS=$ac_save_FFLAGS 22475FFLAGS=$ac_save_FFLAGS
@@ -23704,7 +23679,7 @@ fi
23704 23679
23705 23680
23706# Provide some information about the compiler. 23681# Provide some information about the compiler.
23707echo "$as_me:23707:" \ 23682echo "$as_me:23682:" \
23708 "checking for Fortran 77 compiler version" >&5 23683 "checking for Fortran 77 compiler version" >&5
23709ac_compiler=`set X $ac_compile; echo $2` 23684ac_compiler=`set X $ac_compile; echo $2`
23710{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5 23685{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -23899,7 +23874,7 @@ _ACEOF
23899# flags. 23874# flags.
23900ac_save_FFLAGS=$FFLAGS 23875ac_save_FFLAGS=$FFLAGS
23901FFLAGS="$FFLAGS $ac_verb" 23876FFLAGS="$FFLAGS $ac_verb"
23902(eval echo $as_me:23902: \"$ac_link\") >&5 23877(eval echo $as_me:23877: \"$ac_link\") >&5
23903ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 23878ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
23904echo "$ac_f77_v_output" >&5 23879echo "$ac_f77_v_output" >&5
23905FFLAGS=$ac_save_FFLAGS 23880FFLAGS=$ac_save_FFLAGS
@@ -23977,7 +23952,7 @@ _ACEOF
23977# flags. 23952# flags.
23978ac_save_FFLAGS=$FFLAGS 23953ac_save_FFLAGS=$FFLAGS
23979FFLAGS="$FFLAGS $ac_cv_prog_f77_v" 23954FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
23980(eval echo $as_me:23980: \"$ac_link\") >&5 23955(eval echo $as_me:23955: \"$ac_link\") >&5
23981ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'` 23956ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
23982echo "$ac_f77_v_output" >&5 23957echo "$ac_f77_v_output" >&5
23983FFLAGS=$ac_save_FFLAGS 23958FFLAGS=$ac_save_FFLAGS
@@ -25834,16 +25809,6 @@ fi
25834########################################## 25809##########################################
25835## test for X11 and Xaw3d Athena widgets 25810## test for X11 and Xaw3d Athena widgets
25836########################################## 25811##########################################
25837
25838# do not want to check for X11 when using gtk or gtk2
25839if test "$with_gtk" = yes; then
25840 PERIFILE=periGtk.o
25841fi
25842
25843if test "$with_gtk2" = yes; then
25844 PERIFILE=periGtk.o
25845fi
25846
25847if test "$PERIFILE" = periX11.o; then 25812if test "$PERIFILE" = periX11.o; then
25848 ac_save_LDFLAGS="$LDFLAGS" 25813 ac_save_LDFLAGS="$LDFLAGS"
25849 if test -n "$x_libraries"; then 25814 if test -n "$x_libraries"; then
@@ -27718,7 +27683,7 @@ CPPFLAGS="$CPPFLAGS -I$CHK_TCL_INCLUDE_PATH"
27718echo "$as_me:$LINENO: checking if tcl is version $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later" >&5 27683echo "$as_me:$LINENO: checking if tcl is version $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later" >&5
27719echo $ECHO_N "checking if tcl is version $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later... $ECHO_C" >&6 27684echo $ECHO_N "checking if tcl is version $CHK_TCL_MAJOR.$CHK_TCL_MINOR or later... $ECHO_C" >&6
27720cat > conftest.$ac_ext <<EOF 27685cat > conftest.$ac_ext <<EOF
27721#line 27721 "configure" 27686#line 27686 "configure"
27722#include "confdefs.h" 27687#include "confdefs.h"
27723 27688
27724#include "$CHK_TCL_INCLUDE_PATH/$CHK_TCL_INC_NAME" 27689#include "$CHK_TCL_INCLUDE_PATH/$CHK_TCL_INC_NAME"
@@ -28036,7 +28001,7 @@ CPPFLAGS="$CPPFLAGS $TCL_INC_PATH -I$CHK_TK_INCLUDE_PATH $X_CFLAGS"
28036echo "$as_me:$LINENO: checking if tk is version $CHK_TK_MAJOR.$CHK_TK_MINOR or later" >&5 28001echo "$as_me:$LINENO: checking if tk is version $CHK_TK_MAJOR.$CHK_TK_MINOR or later" >&5
28037echo $ECHO_N "checking if tk is version $CHK_TK_MAJOR.$CHK_TK_MINOR or later... $ECHO_C" >&6 28002echo $ECHO_N "checking if tk is version $CHK_TK_MAJOR.$CHK_TK_MINOR or later... $ECHO_C" >&6
28038cat > conftest.$ac_ext <<EOF 28003cat > conftest.$ac_ext <<EOF
28039#line 28039 "configure" 28004#line 28004 "configure"
28040#include "confdefs.h" 28005#include "confdefs.h"
28041 28006
28042#include "$CHK_TK_INCLUDE_PATH/$CHK_TK_INC_NAME" 28007#include "$CHK_TK_INCLUDE_PATH/$CHK_TK_INC_NAME"
@@ -28380,716 +28345,6 @@ echo "$as_me: error: TCL/TK not found. Use --without-tk or specify the librairie
28380fi 28345fi
28381 28346
28382################# 28347#################
28383## GTK
28384#################
28385
28386ZZLEDT=
28387GTKPLUGBUG=
28388
28389if test "$with_gtk" = yes; then
28390 # Extract the first word of "gtk-config", so it can be a program name with args.
28391set dummy gtk-config; ac_word=$2
28392echo "$as_me:$LINENO: checking for $ac_word" >&5
28393echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
28394if test "${ac_cv_prog_GTK_CONFIG+set}" = set; then
28395 echo $ECHO_N "(cached) $ECHO_C" >&6
28396else
28397 if test -n "$GTK_CONFIG"; then
28398 ac_cv_prog_GTK_CONFIG="$GTK_CONFIG" # Let the user override the test.
28399else
28400as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
28401for as_dir in $PATH
28402do
28403 IFS=$as_save_IFS
28404 test -z "$as_dir" && as_dir=.
28405 for ac_exec_ext in '' $ac_executable_extensions; do
28406 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
28407 ac_cv_prog_GTK_CONFIG="yes"
28408 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
28409 break 2
28410 fi
28411done
28412done
28413
28414 test -z "$ac_cv_prog_GTK_CONFIG" && ac_cv_prog_GTK_CONFIG="no"
28415fi
28416fi
28417GTK_CONFIG=$ac_cv_prog_GTK_CONFIG
28418if test -n "$GTK_CONFIG"; then
28419 echo "$as_me:$LINENO: result: $GTK_CONFIG" >&5
28420echo "${ECHO_T}$GTK_CONFIG" >&6
28421else
28422 echo "$as_me:$LINENO: result: no" >&5
28423echo "${ECHO_T}no" >&6
28424fi
28425
28426 if test "$GTK_CONFIG" = no; then
28427 { echo "$as_me:$LINENO: WARNING: gtk-config not found: I will not use -with-gtk" >&5
28428echo "$as_me: WARNING: gtk-config not found: I will not use -with-gtk" >&2;}
28429 with_gtk="no"
28430 fi
28431 # Extract the first word of "gnome-config", so it can be a program name with args.
28432set dummy gnome-config; ac_word=$2
28433echo "$as_me:$LINENO: checking for $ac_word" >&5
28434echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
28435if test "${ac_cv_prog_GNOME_CONFIG+set}" = set; then
28436 echo $ECHO_N "(cached) $ECHO_C" >&6
28437else
28438 if test -n "$GNOME_CONFIG"; then
28439 ac_cv_prog_GNOME_CONFIG="$GNOME_CONFIG" # Let the user override the test.
28440else
28441as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
28442for as_dir in $PATH
28443do
28444 IFS=$as_save_IFS
28445 test -z "$as_dir" && as_dir=.
28446 for ac_exec_ext in '' $ac_executable_extensions; do
28447 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
28448 ac_cv_prog_GNOME_CONFIG="yes"
28449 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
28450 break 2
28451 fi
28452done
28453done
28454
28455 test -z "$ac_cv_prog_GNOME_CONFIG" && ac_cv_prog_GNOME_CONFIG="no"
28456fi
28457fi
28458GNOME_CONFIG=$ac_cv_prog_GNOME_CONFIG
28459if test -n "$GNOME_CONFIG"; then
28460 echo "$as_me:$LINENO: result: $GNOME_CONFIG" >&5
28461echo "${ECHO_T}$GNOME_CONFIG" >&6
28462else
28463 echo "$as_me:$LINENO: result: no" >&5
28464echo "${ECHO_T}no" >&6
28465fi
28466
28467 if test "$GNOME_CONFIG" = no; then
28468 { echo "$as_me:$LINENO: WARNING: gnome-config not found: I will not use -with-gtk" >&5
28469echo "$as_me: WARNING: gnome-config not found: I will not use -with-gtk" >&2;}
28470 with_gtk="no"
28471 fi
28472 if test "$with_gtk" = yes; then
28473 echo "$as_me:$LINENO: checking if gtk is version 1.2 or later" >&5
28474echo $ECHO_N "checking if gtk is version 1.2 or later... $ECHO_C" >&6
28475 GTK_VER=`gtk-config --version`
28476 case $GTK_VER in
28477 0.* )
28478 { { echo "$as_me:$LINENO: error: you need at least version 1.2 of gtk" >&5
28479echo "$as_me: error: you need at least version 1.2 of gtk" >&2;}
28480 { (exit 1); exit 1; }; }
28481 ;;
28482 1.1* )
28483 { { echo "$as_me:$LINENO: error: you need at least version 1.2 of gtk" >&5
28484echo "$as_me: error: you need at least version 1.2 of gtk" >&2;}
28485 { (exit 1); exit 1; }; }
28486 ;;
28487 * )
28488 # we have cheched above that gtk-config is in the
28489 # path, then we don't want to generate a full path
28490 # for gtk-config or to directly generate the
28491 # result of `gtk-config --cflags`. Idem for gnome
28492 echo "$as_me:$LINENO: result: $GTK_VER" >&5
28493echo "${ECHO_T}$GTK_VER" >&6
28494 GTKCFLAGS='`gtk-config --cflags`'
28495 GTKLIBS='`gtk-config --libs` `gnome-config --libs gtkxmhtml`'
28496 GNOMECFLAGS='`gnome-config --cflags gnome`'
28497 ;;
28498 esac
28499 cat >>confdefs.h <<\_ACEOF
28500#define WITH_GTK 1
28501_ACEOF
28502
28503 GUILIB='gtksci'
28504 GZVT='gzvt'
28505 SCILABSCRIPT=scilab-gtk.g
28506 MENUSOBJS=GOBJS
28507 PERIFILE=periGtk.o
28508 # gtk 1 HTMLFLAGS=`gnome-config --cflags gnome`
28509 # gtk 2 HTMLFLAGS=`pkg-config libgtkhtml-2.0 --cflags`
28510 HTMLFLAGS='`gnome-config --cflags gnome`'
28511 fi
28512 # try to use readline with the gtk version
28513 ac_save_LIBS="$LIBS"
28514 LIBS="$TERMCAPLIB $LIBS"
28515 echo "$as_me:$LINENO: checking for rl_callback_read_char in -lreadline" >&5
28516echo $ECHO_N "checking for rl_callback_read_char in -lreadline... $ECHO_C" >&6
28517if test "${ac_cv_lib_readline_rl_callback_read_char+set}" = set; then
28518 echo $ECHO_N "(cached) $ECHO_C" >&6
28519else
28520 ac_check_lib_save_LIBS=$LIBS
28521LIBS="-lreadline $LIBS"
28522cat >conftest.$ac_ext <<_ACEOF
28523/* confdefs.h. */
28524_ACEOF
28525cat confdefs.h >>conftest.$ac_ext
28526cat >>conftest.$ac_ext <<_ACEOF
28527/* end confdefs.h. */
28528
28529/* Override any gcc2 internal prototype to avoid an error. */
28530#ifdef __cplusplus
28531extern "C"
28532#endif
28533/* We use char because int might match the return type of a gcc2
28534 builtin and then its argument prototype would still apply. */
28535char rl_callback_read_char ();
28536int
28537main ()
28538{
28539rl_callback_read_char ();
28540 ;
28541 return 0;
28542}
28543_ACEOF
28544rm -f conftest.$ac_objext conftest$ac_exeext
28545if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
28546 (eval $ac_link) 2>conftest.er1
28547 ac_status=$?
28548 grep -v '^ *+' conftest.er1 >conftest.err
28549 rm -f conftest.er1
28550 cat conftest.err >&5
28551 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28552 (exit $ac_status); } &&
28553 { ac_try='test -z "$ac_c_werror_flag"
28554 || test ! -s conftest.err'
28555 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28556 (eval $ac_try) 2>&5
28557 ac_status=$?
28558 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28559 (exit $ac_status); }; } &&
28560 { ac_try='test -s conftest$ac_exeext'
28561 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28562 (eval $ac_try) 2>&5
28563 ac_status=$?
28564 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28565 (exit $ac_status); }; }; then
28566 ac_cv_lib_readline_rl_callback_read_char=yes
28567else
28568 echo "$as_me: failed program was:" >&5
28569sed 's/^/| /' conftest.$ac_ext >&5
28570
28571ac_cv_lib_readline_rl_callback_read_char=no
28572fi
28573rm -f conftest.err conftest.$ac_objext \
28574 conftest$ac_exeext conftest.$ac_ext
28575LIBS=$ac_check_lib_save_LIBS
28576fi
28577echo "$as_me:$LINENO: result: $ac_cv_lib_readline_rl_callback_read_char" >&5
28578echo "${ECHO_T}$ac_cv_lib_readline_rl_callback_read_char" >&6
28579if test $ac_cv_lib_readline_rl_callback_read_char = yes; then
28580 READLINE=-lreadline
28581fi
28582
28583 LIBS=$ac_save_LIBS
28584 TERMCAPLIB="$READLINE $TERMCAPLIB"
28585 if test "no$READLINE" != no; then
28586 ZZLEDT="zzledt-rl.o"
28587 cat >>confdefs.h <<\_ACEOF
28588#define WITH_READLINE 1
28589_ACEOF
28590
28591 fi
28592 # we remove the X libs they were just used above during tcl/tk check
28593 if test "$with_gtk" = yes; then
28594 XAWLIB=
28595 XMULIB=
28596 XAW_LOCAL_SUBDIR=
28597 XAW_LOCAL_LIB=
28598 X_CFLAGS=
28599 XAW_LOCAL_INCLUDES=
28600 X_EXTRA_LIBS=
28601 XXTXEXT=
28602 XX11=
28603 X_LIBS=
28604 X_PRE_LIBS=
28605 if test "$TK_INC_PATH" = '-I/usr/include' ; then
28606 TK_INC_PATH=
28607 fi
28608 if test "$TCL_INC_PATH" = '-I/usr/include' ; then
28609 TCL_INC_PATH=
28610 fi
28611 fi
28612fi
28613
28614
28615#################
28616## GTK2
28617#################
28618
28619TERM_NAME=vte
28620TERM_LDFLAGS=VTE_LDFLAGS
28621
28622if test "$with_gtk2" = yes; then
28623 # Extract the first word of "pkg-config", so it can be a program name with args.
28624set dummy pkg-config; ac_word=$2
28625echo "$as_me:$LINENO: checking for $ac_word" >&5
28626echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
28627if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
28628 echo $ECHO_N "(cached) $ECHO_C" >&6
28629else
28630 case $PKG_CONFIG in
28631 [\\/]* | ?:[\\/]*)
28632 ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
28633 ;;
28634 *)
28635 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
28636for as_dir in $PATH
28637do
28638 IFS=$as_save_IFS
28639 test -z "$as_dir" && as_dir=.
28640 for ac_exec_ext in '' $ac_executable_extensions; do
28641 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
28642 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
28643 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
28644 break 2
28645 fi
28646done
28647done
28648
28649 ;;
28650esac
28651fi
28652PKG_CONFIG=$ac_cv_path_PKG_CONFIG
28653
28654if test -n "$PKG_CONFIG"; then
28655 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
28656echo "${ECHO_T}$PKG_CONFIG" >&6
28657else
28658 echo "$as_me:$LINENO: result: no" >&5
28659echo "${ECHO_T}no" >&6
28660fi
28661
28662 if test "x$PKG_CONFIG" = x; then
28663 # @*%&$ Ximian programmers renamed this application
28664 # Extract the first word of "pkgconfig", so it can be a program name with args.
28665set dummy pkgconfig; ac_word=$2
28666echo "$as_me:$LINENO: checking for $ac_word" >&5
28667echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
28668if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
28669 echo $ECHO_N "(cached) $ECHO_C" >&6
28670else
28671 case $PKG_CONFIG in
28672 [\\/]* | ?:[\\/]*)
28673 ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
28674 ;;
28675 *)
28676 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
28677for as_dir in no
28678do
28679 IFS=$as_save_IFS
28680 test -z "$as_dir" && as_dir=.
28681 for ac_exec_ext in '' $ac_executable_extensions; do
28682 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
28683 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
28684 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
28685 break 2
28686 fi
28687done
28688done
28689
28690 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="yes"
28691 ;;
28692esac
28693fi
28694PKG_CONFIG=$ac_cv_path_PKG_CONFIG
28695
28696if test -n "$PKG_CONFIG"; then
28697 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
28698echo "${ECHO_T}$PKG_CONFIG" >&6
28699else
28700 echo "$as_me:$LINENO: result: no" >&5
28701echo "${ECHO_T}no" >&6
28702fi
28703
28704 if test "x$PKG_CONFIG" = x; then
28705 { { echo "$as_me:$LINENO: error: Could not find the pkg-config (or pkgconfig) program." >&5
28706echo "$as_me: error: Could not find the pkg-config (or pkgconfig) program." >&2;}
28707 { (exit 1); exit 1; }; }
28708 with_gtk2="no"
28709 fi
28710 fi
28711 # AC_CHECK_PROG(GNOME_CONFIG,gnome-config,yes,no)
28712 #if test "$GNOME_CONFIG" = no; then
28713 # AC_MSG_WARN([gnome-config not found: I will not use -with-gtk])
28714 # with_gtk2="no"
28715 # fi
28716 if test "$with_gtk2" = yes; then
28717 echo "$as_me:$LINENO: checking if gtk is version 2.1 or later" >&5
28718echo $ECHO_N "checking if gtk is version 2.1 or later... $ECHO_C" >&6
28719 GTK_VER=`$PKG_CONFIG --modversion gtk+-2.0`
28720 case $GTK_VER in
28721 2.2.* | 2.3.0 | 2.3.1| 2.3.2| 2.3.4 )
28722 GTKPLUGBUG=gtkmenu.o
28723 ;;
28724 esac
28725 echo "$as_me:$LINENO: result: $GTK_VER" >&5
28726echo "${ECHO_T}$GTK_VER" >&6
28727 # we have cheched above that gtk-config is in the
28728 # path, then we don't want to generate a full path
28729 # for gtk-config or to directly generate the
28730 # result of `gtk-config --cflags`. Idem for gnome
28731 GTKCFLAGS='`pkg-config gtk+-2.0 --cflags`'
28732 GTKLIBS='`pkg-config gtk+-2.0 libgtkhtml-2.0 --libs`'
28733 GNOMECFLAGS='`pkg-config gtk+-2.0 --cflags`'
28734 cat >>confdefs.h <<\_ACEOF
28735#define WITH_GTK 1
28736_ACEOF
28737
28738 GUILIB='gtksci'
28739 # GZVT='gzvt2' dose not work: gtk2 bug with plugged menus
28740 # gzvt2 works again with a gtk patch
28741 GZVT='gzvt2'
28742 # we need a patched version
28743 SCILABSCRIPT=scilab-gtk.g
28744 MENUSOBJS=GOBJS
28745 PERIFILE=periGtk.o
28746 # gtk 1 HTMLFLAGS=`gnome-config --cflags gnome`
28747 # gtk 2 HTMLFLAGS=`pkg-config libgtkhtml-2.0 --cflags`
28748 HTMLFLAGS='`pkg-config libgtkhtml-2.0 --cflags`'
28749 # check for libgtkhtml-2.0
28750 ac_save_LIBS="$LIBS"
28751 LIBS=`pkg-config libgtkhtml-2.0 --cflags --libs`
28752 GTKHTML=no
28753 echo "$as_me:$LINENO: checking for html_document_open_stream in -lgtkhtml-2" >&5
28754echo $ECHO_N "checking for html_document_open_stream in -lgtkhtml-2... $ECHO_C" >&6
28755if test "${ac_cv_lib_gtkhtml_2_html_document_open_stream+set}" = set; then
28756 echo $ECHO_N "(cached) $ECHO_C" >&6
28757else
28758 ac_check_lib_save_LIBS=$LIBS
28759LIBS="-lgtkhtml-2 $LIBS"
28760cat >conftest.$ac_ext <<_ACEOF
28761/* confdefs.h. */
28762_ACEOF
28763cat confdefs.h >>conftest.$ac_ext
28764cat >>conftest.$ac_ext <<_ACEOF
28765/* end confdefs.h. */
28766
28767/* Override any gcc2 internal prototype to avoid an error. */
28768#ifdef __cplusplus
28769extern "C"
28770#endif
28771/* We use char because int might match the return type of a gcc2
28772 builtin and then its argument prototype would still apply. */
28773char html_document_open_stream ();
28774int
28775main ()
28776{
28777html_document_open_stream ();
28778 ;
28779 return 0;
28780}
28781_ACEOF
28782rm -f conftest.$ac_objext conftest$ac_exeext
28783if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
28784 (eval $ac_link) 2>conftest.er1
28785 ac_status=$?
28786 grep -v '^ *+' conftest.er1 >conftest.err
28787 rm -f conftest.er1
28788 cat conftest.err >&5
28789 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28790 (exit $ac_status); } &&
28791 { ac_try='test -z "$ac_c_werror_flag"
28792 || test ! -s conftest.err'
28793 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28794 (eval $ac_try) 2>&5
28795 ac_status=$?
28796 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28797 (exit $ac_status); }; } &&
28798 { ac_try='test -s conftest$ac_exeext'
28799 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28800 (eval $ac_try) 2>&5
28801 ac_status=$?
28802 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28803 (exit $ac_status); }; }; then
28804 ac_cv_lib_gtkhtml_2_html_document_open_stream=yes
28805else
28806 echo "$as_me: failed program was:" >&5
28807sed 's/^/| /' conftest.$ac_ext >&5
28808
28809ac_cv_lib_gtkhtml_2_html_document_open_stream=no
28810fi
28811rm -f conftest.err conftest.$ac_objext \
28812 conftest$ac_exeext conftest.$ac_ext
28813LIBS=$ac_check_lib_save_LIBS
28814fi
28815echo "$as_me:$LINENO: result: $ac_cv_lib_gtkhtml_2_html_document_open_stream" >&5
28816echo "${ECHO_T}$ac_cv_lib_gtkhtml_2_html_document_open_stream" >&6
28817if test $ac_cv_lib_gtkhtml_2_html_document_open_stream = yes; then
28818 GTKHTML=yes
28819fi
28820
28821 if test "$GTKHTML" = no; then
28822 { { echo "$as_me:$LINENO: error: Could not find the libgtkhtml-2.0 package." >&5
28823echo "$as_me: error: Could not find the libgtkhtml-2.0 package." >&2;}
28824 { (exit 1); exit 1; }; }
28825 fi
28826 LIBS=$ac_save_LIBS
28827 # check first for vte
28828 ac_save_LIBS="$LIBS"
28829 LIBS=`pkg-config vte --cflags --libs`
28830 VTE=no
28831 echo "$as_me:$LINENO: checking for vte_terminal_new in -lvte" >&5
28832echo $ECHO_N "checking for vte_terminal_new in -lvte... $ECHO_C" >&6
28833if test "${ac_cv_lib_vte_vte_terminal_new+set}" = set; then
28834 echo $ECHO_N "(cached) $ECHO_C" >&6
28835else
28836 ac_check_lib_save_LIBS=$LIBS
28837LIBS="-lvte $LIBS"
28838cat >conftest.$ac_ext <<_ACEOF
28839/* confdefs.h. */
28840_ACEOF
28841cat confdefs.h >>conftest.$ac_ext
28842cat >>conftest.$ac_ext <<_ACEOF
28843/* end confdefs.h. */
28844
28845/* Override any gcc2 internal prototype to avoid an error. */
28846#ifdef __cplusplus
28847extern "C"
28848#endif
28849/* We use char because int might match the return type of a gcc2
28850 builtin and then its argument prototype would still apply. */
28851char vte_terminal_new ();
28852int
28853main ()
28854{
28855vte_terminal_new ();
28856 ;
28857 return 0;
28858}
28859_ACEOF
28860rm -f conftest.$ac_objext conftest$ac_exeext
28861if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
28862 (eval $ac_link) 2>conftest.er1
28863 ac_status=$?
28864 grep -v '^ *+' conftest.er1 >conftest.err
28865 rm -f conftest.er1
28866 cat conftest.err >&5
28867 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28868 (exit $ac_status); } &&
28869 { ac_try='test -z "$ac_c_werror_flag"
28870 || test ! -s conftest.err'
28871 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28872 (eval $ac_try) 2>&5
28873 ac_status=$?
28874 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28875 (exit $ac_status); }; } &&
28876 { ac_try='test -s conftest$ac_exeext'
28877 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28878 (eval $ac_try) 2>&5
28879 ac_status=$?
28880 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28881 (exit $ac_status); }; }; then
28882 ac_cv_lib_vte_vte_terminal_new=yes
28883else
28884 echo "$as_me: failed program was:" >&5
28885sed 's/^/| /' conftest.$ac_ext >&5
28886
28887ac_cv_lib_vte_vte_terminal_new=no
28888fi
28889rm -f conftest.err conftest.$ac_objext \
28890 conftest$ac_exeext conftest.$ac_ext
28891LIBS=$ac_check_lib_save_LIBS
28892fi
28893echo "$as_me:$LINENO: result: $ac_cv_lib_vte_vte_terminal_new" >&5
28894echo "${ECHO_T}$ac_cv_lib_vte_vte_terminal_new" >&6
28895if test $ac_cv_lib_vte_vte_terminal_new = yes; then
28896 VTE=yes
28897fi
28898
28899 if test "$VTE" = no; then
28900 { echo "$as_me:$LINENO: WARNING: Could not find the vte library. I will try libzvt-2.0 " >&5
28901echo "$as_me: WARNING: Could not find the vte library. I will try libzvt-2.0 " >&2;}
28902 { echo "$as_me:$LINENO: WARNING: you should install vte and vte-devel " >&5
28903echo "$as_me: WARNING: you should install vte and vte-devel " >&2;}
28904 # check for zzledt
28905 LIBS=`pkg-config libzvt-2.0 --cflags --libs`
28906 GZVT2=no
28907 echo "$as_me:$LINENO: checking for zvt_term_new_with_size in -lzvt-2.0" >&5
28908echo $ECHO_N "checking for zvt_term_new_with_size in -lzvt-2.0... $ECHO_C" >&6
28909if test "${ac_cv_lib_zvt_2_0_zvt_term_new_with_size+set}" = set; then
28910 echo $ECHO_N "(cached) $ECHO_C" >&6
28911else
28912 ac_check_lib_save_LIBS=$LIBS
28913LIBS="-lzvt-2.0 $LIBS"
28914cat >conftest.$ac_ext <<_ACEOF
28915/* confdefs.h. */
28916_ACEOF
28917cat confdefs.h >>conftest.$ac_ext
28918cat >>conftest.$ac_ext <<_ACEOF
28919/* end confdefs.h. */
28920
28921/* Override any gcc2 internal prototype to avoid an error. */
28922#ifdef __cplusplus
28923extern "C"
28924#endif
28925/* We use char because int might match the return type of a gcc2
28926 builtin and then its argument prototype would still apply. */
28927char zvt_term_new_with_size ();
28928int
28929main ()
28930{
28931zvt_term_new_with_size ();
28932 ;
28933 return 0;
28934}
28935_ACEOF
28936rm -f conftest.$ac_objext conftest$ac_exeext
28937if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
28938 (eval $ac_link) 2>conftest.er1
28939 ac_status=$?
28940 grep -v '^ *+' conftest.er1 >conftest.err
28941 rm -f conftest.er1
28942 cat conftest.err >&5
28943 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28944 (exit $ac_status); } &&
28945 { ac_try='test -z "$ac_c_werror_flag"
28946 || test ! -s conftest.err'
28947 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28948 (eval $ac_try) 2>&5
28949 ac_status=$?
28950 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28951 (exit $ac_status); }; } &&
28952 { ac_try='test -s conftest$ac_exeext'
28953 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
28954 (eval $ac_try) 2>&5
28955 ac_status=$?
28956 echo "$as_me:$LINENO: \$? = $ac_status" >&5
28957 (exit $ac_status); }; }; then
28958 ac_cv_lib_zvt_2_0_zvt_term_new_with_size=yes
28959else
28960 echo "$as_me: failed program was:" >&5
28961sed 's/^/| /' conftest.$ac_ext >&5
28962
28963ac_cv_lib_zvt_2_0_zvt_term_new_with_size=no
28964fi
28965rm -f conftest.err conftest.$ac_objext \
28966 conftest$ac_exeext conftest.$ac_ext
28967LIBS=$ac_check_lib_save_LIBS
28968fi
28969echo "$as_me:$LINENO: result: $ac_cv_lib_zvt_2_0_zvt_term_new_with_size" >&5
28970echo "${ECHO_T}$ac_cv_lib_zvt_2_0_zvt_term_new_with_size" >&6
28971if test $ac_cv_lib_zvt_2_0_zvt_term_new_with_size = yes; then
28972 GZVT2=yes
28973fi
28974
28975 if test "$GZVT2" = no; then
28976 { { echo "$as_me:$LINENO: error: Could not find vte library or libzvt-2.0 library." >&5
28977echo "$as_me: error: Could not find vte library or libzvt-2.0 library." >&2;}
28978 { (exit 1); exit 1; }; }
28979 else
28980 TERM_NAME=zterm
28981 TERM_LDFLAGS=ZTERM_LDFLAGS
28982 fi
28983 else
28984 TERM_NAME=vte
28985 TERM_LDFLAGS=VTE_LDFLAGS
28986 fi
28987 LIBS=$ac_save_LIBS
28988 fi
28989 # try to use readline with the gtk version
28990 ac_save_LIBS="$LIBS"
28991 LIBS="$TERMCAPLIB $LIBS"
28992 echo "$as_me:$LINENO: checking for rl_callback_read_char in -lreadline" >&5
28993echo $ECHO_N "checking for rl_callback_read_char in -lreadline... $ECHO_C" >&6
28994if test "${ac_cv_lib_readline_rl_callback_read_char+set}" = set; then
28995 echo $ECHO_N "(cached) $ECHO_C" >&6
28996else
28997 ac_check_lib_save_LIBS=$LIBS
28998LIBS="-lreadline $LIBS"
28999cat >conftest.$ac_ext <<_ACEOF
29000/* confdefs.h. */
29001_ACEOF
29002cat confdefs.h >>conftest.$ac_ext
29003cat >>conftest.$ac_ext <<_ACEOF
29004/* end confdefs.h. */
29005
29006/* Override any gcc2 internal prototype to avoid an error. */
29007#ifdef __cplusplus
29008extern "C"
29009#endif
29010/* We use char because int might match the return type of a gcc2
29011 builtin and then its argument prototype would still apply. */
29012char rl_callback_read_char ();
29013int
29014main ()
29015{
29016rl_callback_read_char ();
29017 ;
29018 return 0;
29019}
29020_ACEOF
29021rm -f conftest.$ac_objext conftest$ac_exeext
29022if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
29023 (eval $ac_link) 2>conftest.er1
29024 ac_status=$?
29025 grep -v '^ *+' conftest.er1 >conftest.err
29026 rm -f conftest.er1
29027 cat conftest.err >&5
29028 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29029 (exit $ac_status); } &&
29030 { ac_try='test -z "$ac_c_werror_flag"
29031 || test ! -s conftest.err'
29032 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29033 (eval $ac_try) 2>&5
29034 ac_status=$?
29035 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29036 (exit $ac_status); }; } &&
29037 { ac_try='test -s conftest$ac_exeext'
29038 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
29039 (eval $ac_try) 2>&5
29040 ac_status=$?
29041 echo "$as_me:$LINENO: \$? = $ac_status" >&5
29042 (exit $ac_status); }; }; then
29043 ac_cv_lib_readline_rl_callback_read_char=yes
29044else
29045 echo "$as_me: failed program was:" >&5
29046sed 's/^/| /' conftest.$ac_ext >&5
29047
29048ac_cv_lib_readline_rl_callback_read_char=no
29049fi
29050rm -f conftest.err conftest.$ac_objext \
29051 conftest$ac_exeext conftest.$ac_ext
29052LIBS=$ac_check_lib_save_LIBS
29053fi
29054echo "$as_me:$LINENO: result: $ac_cv_lib_readline_rl_callback_read_char" >&5
29055echo "${ECHO_T}$ac_cv_lib_readline_rl_callback_read_char" >&6
29056if test $ac_cv_lib_readline_rl_callback_read_char = yes; then
29057 READLINE=-lreadline
29058fi
29059
29060 LIBS=$ac_save_LIBS
29061 TERMCAPLIB="$READLINE $TERMCAPLIB"
29062 if test "no$READLINE" != no; then
29063 ZZLEDT="zzledt-rl.o"
29064 cat >>confdefs.h <<\_ACEOF
29065#define WITH_READLINE 1
29066_ACEOF
29067
29068 fi
29069 # we remove the X libs they were just used above during tcl/tk check
29070 if test "$with_gtk2" = yes; then
29071 XAWLIB=
29072 XMULIB=
29073 XAW_LOCAL_SUBDIR=
29074 XAW_LOCAL_LIB=
29075 X_CFLAGS=
29076 XAW_LOCAL_INCLUDES=
29077 X_EXTRA_LIBS=
29078 XXTXEXT=
29079 XX11=
29080 X_LIBS=
29081 X_PRE_LIBS=
29082 if test "$TK_INC_PATH" = '-I/usr/include' ; then
29083 TK_INC_PATH=
29084 fi
29085 if test "$TCL_INC_PATH" = '-I/usr/include' ; then
29086 TCL_INC_PATH=
29087 fi
29088 fi
29089fi
29090
29091
29092#################
29093## atlas 28348## atlas
29094################# 28349#################
29095 28350
@@ -29492,11 +28747,6 @@ fi
29492 28747
29493 28748
29494 28749
29495
29496
29497
29498
29499
29500# for Makemex 28750# for Makemex
29501 28751
29502 28752
@@ -29539,8 +28789,7 @@ fi
29539 28789
29540 28790
29541 28791
29542 28792 ac_config_files="$ac_config_files Makefile.OBJ Makefile.incl Makefile scripts/Makefile routines/Makefile routines/default/Makefile routines/os_specific/Makefile routines/graphics/Makefile routines/menusX/Makefile routines/xsci/Makefile routines/sparse/Makefile Makemex config/Makeso.incl routines/interf/Makefile routines/control/Makefile routines/calelm/Makefile config/Makefile.aix config/Makefile.ultrix routines/lapack/Makefile scripts/scilab.g examples/Makefile routines/version.h imp/Makefile pvm3/Makefile pvm3/Makefile.aimk pvm3/hoster/Makefile.aimk config/configuration macros/util/gettklib.sci macros/util/xmlfiletohtml.sci routines/Javasci/Makefile $MAN_FR $MAN_ENG"
29543 ac_config_files="$ac_config_files Makefile.OBJ Makefile.incl Makefile scripts/Makefile routines/Makefile routines/default/Makefile routines/os_specific/Makefile routines/graphics/Makefile routines/menusX/Makefile routines/xsci/Makefile routines/sparse/Makefile Makemex config/Makeso.incl routines/interf/Makefile routines/control/Makefile routines/calelm/Makefile config/Makefile.aix config/Makefile.ultrix routines/lapack/Makefile scripts/scilab.g scripts/scilab-gtk.g examples/Makefile routines/version.h imp/Makefile routines/gtksci/Makefile pvm3/Makefile pvm3/Makefile.aimk pvm3/hoster/Makefile.aimk config/configuration macros/util/gettklib.sci macros/util/xmlfiletohtml.sci routines/gzvt2/Makefile routines/Javasci/Makefile $MAN_FR $MAN_ENG"
29544cat >confcache <<\_ACEOF 28793cat >confcache <<\_ACEOF
29545# This file is a shell script that caches the results of configure 28794# This file is a shell script that caches the results of configure
29546# tests run on this system so they can be shared between configure 28795# tests run on this system so they can be shared between configure
@@ -30085,18 +29334,15 @@ do
30085 "config/Makefile.ultrix" ) CONFIG_FILES="$CONFIG_FILES config/Makefile.ultrix" ;; 29334 "config/Makefile.ultrix" ) CONFIG_FILES="$CONFIG_FILES config/Makefile.ultrix" ;;
30086 "routines/lapack/Makefile" ) CONFIG_FILES="$CONFIG_FILES routines/lapack/Makefile" ;; 29335 "routines/lapack/Makefile" ) CONFIG_FILES="$CONFIG_FILES routines/lapack/Makefile" ;;
30087 "scripts/scilab.g" ) CONFIG_FILES="$CONFIG_FILES scripts/scilab.g" ;; 29336 "scripts/scilab.g" ) CONFIG_FILES="$CONFIG_FILES scripts/scilab.g" ;;
30088 "scripts/scilab-gtk.g" ) CONFIG_FILES="$CONFIG_FILES scripts/scilab-gtk.g" ;;
30089 "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;; 29337 "examples/Makefile" ) CONFIG_FILES="$CONFIG_FILES examples/Makefile" ;;
30090 "routines/version.h" ) CONFIG_FILES="$CONFIG_FILES routines/version.h" ;; 29338 "routines/version.h" ) CONFIG_FILES="$CONFIG_FILES routines/version.h" ;;
30091 "imp/Makefile" ) CONFIG_FILES="$CONFIG_FILES imp/Makefile" ;; 29339 "imp/Makefile" ) CONFIG_FILES="$CONFIG_FILES imp/Makefile" ;;
30092 "routines/gtksci/Makefile" ) CONFIG_FILES="$CONFIG_FILES routines/gtksci/Makefile" ;;
30093 "pvm3/Makefile" ) CONFIG_FILES="$CONFIG_FILES pvm3/Makefile" ;; 29340 "pvm3/Makefile" ) CONFIG_FILES="$CONFIG_FILES pvm3/Makefile" ;;
30094 "pvm3/Makefile.aimk" ) CONFIG_FILES="$CONFIG_FILES pvm3/Makefile.aimk" ;; 29341 "pvm3/Makefile.aimk" ) CONFIG_FILES="$CONFIG_FILES pvm3/Makefile.aimk" ;;
30095 "pvm3/hoster/Makefile.aimk" ) CONFIG_FILES="$CONFIG_FILES pvm3/hoster/Makefile.aimk" ;; 29342 "pvm3/hoster/Makefile.aimk" ) CONFIG_FILES="$CONFIG_FILES pvm3/hoster/Makefile.aimk" ;;
30096 "config/configuration" ) CONFIG_FILES="$CONFIG_FILES config/configuration" ;; 29343 "config/configuration" ) CONFIG_FILES="$CONFIG_FILES config/configuration" ;;
30097 "macros/util/gettklib.sci" ) CONFIG_FILES="$CONFIG_FILES macros/util/gettklib.sci" ;; 29344 "macros/util/gettklib.sci" ) CONFIG_FILES="$CONFIG_FILES macros/util/gettklib.sci" ;;
30098 "macros/util/xmlfiletohtml.sci" ) CONFIG_FILES="$CONFIG_FILES macros/util/xmlfiletohtml.sci" ;; 29345 "macros/util/xmlfiletohtml.sci" ) CONFIG_FILES="$CONFIG_FILES macros/util/xmlfiletohtml.sci" ;;
30099 "routines/gzvt2/Makefile" ) CONFIG_FILES="$CONFIG_FILES routines/gzvt2/Makefile" ;;
30100 "routines/Javasci/Makefile" ) CONFIG_FILES="$CONFIG_FILES routines/Javasci/Makefile" ;; 29346 "routines/Javasci/Makefile" ) CONFIG_FILES="$CONFIG_FILES routines/Javasci/Makefile" ;;
30101 "$MAN_FR" ) CONFIG_FILES="$CONFIG_FILES $MAN_FR" ;; 29347 "$MAN_FR" ) CONFIG_FILES="$CONFIG_FILES $MAN_FR" ;;
30102 "$MAN_ENG" ) CONFIG_FILES="$CONFIG_FILES $MAN_ENG" ;; 29348 "$MAN_ENG" ) CONFIG_FILES="$CONFIG_FILES $MAN_ENG" ;;
@@ -30232,9 +29478,6 @@ s,@X_LIBS@,$X_LIBS,;t t
30232s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t 29478s,@X_EXTRA_LIBS@,$X_EXTRA_LIBS,;t t
30233s,@WITH_JAVAC@,$WITH_JAVAC,;t t 29479s,@WITH_JAVAC@,$WITH_JAVAC,;t t
30234s,@_ACJNI_JAVAC@,$_ACJNI_JAVAC,;t t 29480s,@_ACJNI_JAVAC@,$_ACJNI_JAVAC,;t t
30235s,@GTK_CONFIG@,$GTK_CONFIG,;t t
30236s,@GNOME_CONFIG@,$GNOME_CONFIG,;t t
30237s,@PKG_CONFIG@,$PKG_CONFIG,;t t
30238s,@with_ocamlc@,$with_ocamlc,;t t 29481s,@with_ocamlc@,$with_ocamlc,;t t
30239s,@with_ocamlopt@,$with_ocamlopt,;t t 29482s,@with_ocamlopt@,$with_ocamlopt,;t t
30240s,@with_ocamldep@,$with_ocamldep,;t t 29483s,@with_ocamldep@,$with_ocamldep,;t t
@@ -30267,15 +29510,10 @@ s,@XMULIB@,$XMULIB,;t t
30267s,@XAW_LOCAL_SUBDIR@,$XAW_LOCAL_SUBDIR,;t t 29510s,@XAW_LOCAL_SUBDIR@,$XAW_LOCAL_SUBDIR,;t t
30268s,@XAW_LOCAL_INCLUDES@,$XAW_LOCAL_INCLUDES,;t t 29511s,@XAW_LOCAL_INCLUDES@,$XAW_LOCAL_INCLUDES,;t t
30269s,@XAW_LOCAL_LIB@,$XAW_LOCAL_LIB,;t t 29512s,@XAW_LOCAL_LIB@,$XAW_LOCAL_LIB,;t t
30270s,@GTKCFLAGS@,$GTKCFLAGS,;t t
30271s,@GTKLIBS@,$GTKLIBS,;t t
30272s,@GNOMECFLAGS@,$GNOMECFLAGS,;t t
30273s,@TERMCAPLIB@,$TERMCAPLIB,;t t 29513s,@TERMCAPLIB@,$TERMCAPLIB,;t t
30274s,@MAIN@,$MAIN,;t t 29514s,@MAIN@,$MAIN,;t t
30275s,@MAKEFILE_TARGET@,$MAKEFILE_TARGET,;t t 29515s,@MAKEFILE_TARGET@,$MAKEFILE_TARGET,;t t
30276s,@PERIFILE@,$PERIFILE,;t t 29516s,@PERIFILE@,$PERIFILE,;t t
30277s,@GUILIB@,$GUILIB,;t t
30278s,@GZVT@,$GZVT,;t t
30279s,@XDRLIB@,$XDRLIB,;t t 29517s,@XDRLIB@,$XDRLIB,;t t
30280s,@XDRLIBNAME@,$XDRLIBNAME,;t t 29518s,@XDRLIBNAME@,$XDRLIBNAME,;t t
30281s,@WINXFLAGS@,$WINXFLAGS,;t t 29519s,@WINXFLAGS@,$WINXFLAGS,;t t
@@ -30328,7 +29566,6 @@ s,@IMPPREF@,$IMPPREF,;t t
30328s,@IMPENV@,$IMPENV,;t t 29566s,@IMPENV@,$IMPENV,;t t
30329s,@ZZLEDT@,$ZZLEDT,;t t 29567s,@ZZLEDT@,$ZZLEDT,;t t
30330s,@HTMLFLAGS@,$HTMLFLAGS,;t t 29568s,@HTMLFLAGS@,$HTMLFLAGS,;t t
30331s,@GTKPLUGBUG@,$GTKPLUGBUG,;t t
30332s,@XXTXEXT@,$XXTXEXT,;t t 29569s,@XXTXEXT@,$XXTXEXT,;t t
30333s,@XX11@,$XX11,;t t 29570s,@XX11@,$XX11,;t t
30334s,@PERIX11NOPT@,$PERIX11NOPT,;t t 29571s,@PERIX11NOPT@,$PERIX11NOPT,;t t
diff --git a/scilab/configure.in b/scilab/configure.in
index 9578db2..a5c47dc 100644
--- a/scilab/configure.in
+++ b/scilab/configure.in
@@ -48,12 +48,6 @@ AC_ARG_WITH(pvm,
48AC_ARG_WITH(tk, 48AC_ARG_WITH(tk,
49 [ --without-tk do not compile with TCL/TK ]) 49 [ --without-tk do not compile with TCL/TK ])
50 50
51AC_ARG_WITH(gtk,
52 [ --with-gtk use Gtk widgets ])
53
54AC_ARG_WITH(gtk2,
55 [ --with-gtk2 use Gtk widgets ])
56
57AC_ARG_WITH(addedf2c, 51AC_ARG_WITH(addedf2c,
58 [ --with-addedf2c build a local f2c (routines/f2c)]) 52 [ --with-addedf2c build a local f2c (routines/f2c)])
59 53
@@ -157,7 +151,6 @@ fi
157# different for MIPS Ultrix 151# different for MIPS Ultrix
158SCILAB_GS=sh 152SCILAB_GS=sh
159# scilab script file in script directory: default is "scilab.g" for UNIX 153# scilab script file in script directory: default is "scilab.g" for UNIX
160# for gcwin32 use "scilab-gcwin32.g"
161SCILABSCRIPT=scilab.g 154SCILABSCRIPT=scilab.g
162# Fortran program in routines/os_specific: default is "fgetarg.f" 155# Fortran program in routines/os_specific: default is "fgetarg.f"
163# for HPUX use "fgetarg-hpux.f" 156# for HPUX use "fgetarg-hpux.f"
@@ -169,19 +162,13 @@ HPPA_OLD=
169# Scilab main file: default is "mainsci.o" for UNIX 162# Scilab main file: default is "mainsci.o" for UNIX
170MAIN='mainsci.o' 163MAIN='mainsci.o'
171# for graphics: default is X11 164# for graphics: default is X11
172# different for Win32
173PERIFILE=periX11.o 165PERIFILE=periX11.o
174# specific scilab dirs for graphics: default is "xsci" for X11 166# specific scilab dirs for graphics: default is "xsci" for X11
175# different for Win32
176GUILIB=xsci 167GUILIB=xsci
177# specific for gnome/gtk version
178GZVT=
179# specific scilab dirs for xdr: default is void for X11 168# specific scilab dirs for xdr: default is void for X11
180# xdr for Win32
181XDRLIB= 169XDRLIB=
182XDRLIBNAME= 170XDRLIBNAME=
183# objects files in routines/menusX: default is XOBJS for UNIX 171# objects files in routines/menusX: default is XOBJS for UNIX
184# for Win32 use WOBJS
185MENUSOBJS=XOBJS 172MENUSOBJS=XOBJS
186# use other malloc (in "routines/os_specific" directory) for some 64 bits machines 173# use other malloc (in "routines/os_specific" directory) for some 64 bits machines
187MALLOC= 174MALLOC=
@@ -193,8 +180,6 @@ if test "$with_addedf2c" = yes; then
193else 180else
194 F2C_SUBDIR= 181 F2C_SUBDIR=
195fi 182fi
196# on windows target generating scripts for
197# printing is useless
198BLPR_SCRIPTS='$(BPROGRAMS)' 183BLPR_SCRIPTS='$(BPROGRAMS)'
199EXAMPLES_TESTS='$(SUBDIRS1) $(SUBDIRS2)' 184EXAMPLES_TESTS='$(SUBDIRS1) $(SUBDIRS2)'
200IMPPREF=S 185IMPPREF=S
@@ -1460,16 +1445,6 @@ fi
1460########################################## 1445##########################################
1461## test for X11 and Xaw3d Athena widgets 1446## test for X11 and Xaw3d Athena widgets
1462########################################## 1447##########################################
1463
1464# do not want to check for X11 when using gtk or gtk2
1465if test "$with_gtk" = yes; then
1466 PERIFILE=periGtk.o
1467fi
1468
1469if test "$with_gtk2" = yes; then
1470 PERIFILE=periGtk.o
1471fi
1472
1473if test "$PERIFILE" = periX11.o; then 1448if test "$PERIFILE" = periX11.o; then
1474 ac_save_LDFLAGS="$LDFLAGS" 1449 ac_save_LDFLAGS="$LDFLAGS"
1475 if test -n "$x_libraries"; then 1450 if test -n "$x_libraries"; then
@@ -1798,204 +1773,6 @@ if test "$with_tk" != no; then
1798fi 1773fi
1799 1774
1800################# 1775#################
1801## GTK
1802#################
1803
1804ZZLEDT=
1805GTKPLUGBUG=
1806
1807if test "$with_gtk" = yes; then
1808 AC_CHECK_PROG(GTK_CONFIG,gtk-config,yes,no)
1809 if test "$GTK_CONFIG" = no; then
1810 AC_MSG_WARN([gtk-config not found: I will not use -with-gtk])
1811 with_gtk="no"
1812 fi
1813 AC_CHECK_PROG(GNOME_CONFIG,gnome-config,yes,no)
1814 if test "$GNOME_CONFIG" = no; then
1815 AC_MSG_WARN([gnome-config not found: I will not use -with-gtk])
1816 with_gtk="no"
1817 fi
1818 if test "$with_gtk" = yes; then
1819 AC_MSG_CHECKING([if gtk is version 1.2 or later])
1820 GTK_VER=`gtk-config --version`
1821 case $GTK_VER in
1822 0.* )
1823 AC_MSG_ERROR([you need at least version 1.2 of gtk])
1824 ;;
1825 1.1* )
1826 AC_MSG_ERROR([you need at least version 1.2 of gtk])
1827 ;;
1828 * )
1829 # we have cheched above that gtk-config is in the
1830 # path, then we don't want to generate a full path
1831 # for gtk-config or to directly generate the
1832 # result of `gtk-config --cflags`. Idem for gnome
1833 AC_MSG_RESULT([$GTK_VER])
1834 GTKCFLAGS='`gtk-config --cflags`'
1835 GTKLIBS='`gtk-config --libs` `gnome-config --libs gtkxmhtml`'
1836 GNOMECFLAGS='`gnome-config --cflags gnome`'
1837 ;;
1838 esac
1839 AC_DEFINE(WITH_GTK)
1840 GUILIB='gtksci'
1841 GZVT='gzvt'
1842 SCILABSCRIPT=scilab-gtk.g
1843 MENUSOBJS=GOBJS
1844 PERIFILE=periGtk.o
1845 # gtk 1 HTMLFLAGS=`gnome-config --cflags gnome`
1846 # gtk 2 HTMLFLAGS=`pkg-config libgtkhtml-2.0 --cflags`
1847 HTMLFLAGS='`gnome-config --cflags gnome`'
1848 fi
1849 # try to use readline with the gtk version
1850 ac_save_LIBS="$LIBS"
1851 LIBS="$TERMCAPLIB $LIBS"
1852 AC_CHECK_LIB(readline, rl_callback_read_char,[READLINE=-lreadline])
1853 LIBS=$ac_save_LIBS
1854 TERMCAPLIB="$READLINE $TERMCAPLIB"
1855 if test "no$READLINE" != no; then
1856 ZZLEDT="zzledt-rl.o"
1857 AC_DEFINE(WITH_READLINE)
1858 fi
1859 # we remove the X libs they were just used above during tcl/tk check
1860 if test "$with_gtk" = yes; then
1861 XAWLIB=
1862 XMULIB=
1863 XAW_LOCAL_SUBDIR=
1864 XAW_LOCAL_LIB=
1865 X_CFLAGS=
1866 XAW_LOCAL_INCLUDES=
1867 X_EXTRA_LIBS=
1868 XXTXEXT=
1869 XX11=
1870 X_LIBS=
1871 X_PRE_LIBS=
1872 if test "$TK_INC_PATH" = '-I/usr/include' ; then
1873 TK_INC_PATH=
1874 fi
1875 if test "$TCL_INC_PATH" = '-I/usr/include' ; then
1876 TCL_INC_PATH=
1877 fi
1878 fi
1879fi
1880
1881
1882#################
1883## GTK2
1884#################
1885
1886TERM_NAME=vte
1887TERM_LDFLAGS=VTE_LDFLAGS
1888
1889if test "$with_gtk2" = yes; then
1890 AC_PATH_PROG(PKG_CONFIG,pkg-config)
1891 if test "x$PKG_CONFIG" = x; then
1892 # @*%&$ Ximian programmers renamed this application
1893 AC_PATH_PROG(PKG_CONFIG,pkgconfig,yes,no)
1894 if test "x$PKG_CONFIG" = x; then
1895 AC_MSG_ERROR([Could not find the pkg-config (or pkgconfig) program.],)
1896 with_gtk2="no"
1897 fi
1898 fi
1899 # AC_CHECK_PROG(GNOME_CONFIG,gnome-config,yes,no)
1900 #if test "$GNOME_CONFIG" = no; then
1901 # AC_MSG_WARN([gnome-config not found: I will not use -with-gtk])
1902 # with_gtk2="no"
1903 # fi
1904 if test "$with_gtk2" = yes; then
1905 AC_MSG_CHECKING([if gtk is version 2.1 or later])
1906 GTK_VER=`$PKG_CONFIG --modversion gtk+-2.0`
1907 case $GTK_VER in
1908 2.2.* | 2.3.0 | 2.3.1| 2.3.2| 2.3.4 )
1909 GTKPLUGBUG=gtkmenu.o
1910 ;;
1911 esac
1912 AC_MSG_RESULT([$GTK_VER])
1913 # we have cheched above that gtk-config is in the
1914 # path, then we don't want to generate a full path
1915 # for gtk-config or to directly generate the
1916 # result of `gtk-config --cflags`. Idem for gnome
1917 GTKCFLAGS='`pkg-config gtk+-2.0 --cflags`'
1918 GTKLIBS='`pkg-config gtk+-2.0 libgtkhtml-2.0 --libs`'
1919 GNOMECFLAGS='`pkg-config gtk+-2.0 --cflags`'
1920 AC_DEFINE(WITH_GTK)
1921 GUILIB='gtksci'
1922 # GZVT='gzvt2' dose not work: gtk2 bug with plugged menus
1923 # gzvt2 works again with a gtk patch
1924 GZVT='gzvt2'
1925 # we need a patched version
1926 SCILABSCRIPT=scilab-gtk.g
1927 MENUSOBJS=GOBJS
1928 PERIFILE=periGtk.o
1929 # gtk 1 HTMLFLAGS=`gnome-config --cflags gnome`
1930 # gtk 2 HTMLFLAGS=`pkg-config libgtkhtml-2.0 --cflags`
1931 HTMLFLAGS='`pkg-config libgtkhtml-2.0 --cflags`'
1932 # check for libgtkhtml-2.0
1933 ac_save_LIBS="$LIBS"
1934 LIBS=`pkg-config libgtkhtml-2.0 --cflags --libs`
1935 GTKHTML=no
1936 AC_CHECK_LIB(gtkhtml-2,html_document_open_stream,[GTKHTML=yes])
1937 if test "$GTKHTML" = no; then
1938 AC_MSG_ERROR([Could not find the libgtkhtml-2.0 package.],)
1939 fi
1940 LIBS=$ac_save_LIBS
1941 # check first for vte
1942 ac_save_LIBS="$LIBS"
1943 LIBS=`pkg-config vte --cflags --libs`
1944 VTE=no
1945 AC_CHECK_LIB(vte,vte_terminal_new,[VTE=yes])
1946 if test "$VTE" = no; then
1947 AC_MSG_WARN([Could not find the vte library. I will try libzvt-2.0 ],)
1948 AC_MSG_WARN([you should install vte and vte-devel ],)
1949 # check for zzledt
1950 LIBS=`pkg-config libzvt-2.0 --cflags --libs`
1951 GZVT2=no
1952 AC_CHECK_LIB(zvt-2.0, zvt_term_new_with_size,[GZVT2=yes])
1953 if test "$GZVT2" = no; then
1954 AC_MSG_ERROR([Could not find vte library or libzvt-2.0 library.],)
1955 else
1956 TERM_NAME=zterm
1957 TERM_LDFLAGS=ZTERM_LDFLAGS
1958 fi
1959 else
1960 TERM_NAME=vte
1961 TERM_LDFLAGS=VTE_LDFLAGS
1962 fi
1963 LIBS=$ac_save_LIBS
1964 fi
1965 # try to use readline with the gtk version
1966 ac_save_LIBS="$LIBS"
1967 LIBS="$TERMCAPLIB $LIBS"
1968 AC_CHECK_LIB(readline, rl_callback_read_char,[READLINE=-lreadline])
1969 LIBS=$ac_save_LIBS
1970 TERMCAPLIB="$READLINE $TERMCAPLIB"
1971 if test "no$READLINE" != no; then
1972 ZZLEDT="zzledt-rl.o"
1973 AC_DEFINE(WITH_READLINE)
1974 fi
1975 # we remove the X libs they were just used above during tcl/tk check
1976 if test "$with_gtk2" = yes; then
1977 XAWLIB=
1978 XMULIB=
1979 XAW_LOCAL_SUBDIR=
1980 XAW_LOCAL_LIB=
1981 X_CFLAGS=
1982 XAW_LOCAL_INCLUDES=
1983 X_EXTRA_LIBS=
1984 XXTXEXT=
1985 XX11=
1986 X_LIBS=
1987 X_PRE_LIBS=
1988 if test "$TK_INC_PATH" = '-I/usr/include' ; then
1989 TK_INC_PATH=
1990 fi
1991 if test "$TCL_INC_PATH" = '-I/usr/include' ; then
1992 TCL_INC_PATH=
1993 fi
1994 fi
1995fi
1996
1997
1998#################
1999## atlas 1776## atlas
2000################# 1777#################
2001 1778
@@ -2123,15 +1900,10 @@ AC_SUBST(XMULIB)
2123AC_SUBST(XAW_LOCAL_SUBDIR) 1900AC_SUBST(XAW_LOCAL_SUBDIR)
2124AC_SUBST(XAW_LOCAL_INCLUDES) 1901AC_SUBST(XAW_LOCAL_INCLUDES)
2125AC_SUBST(XAW_LOCAL_LIB) 1902AC_SUBST(XAW_LOCAL_LIB)
2126AC_SUBST(GTKCFLAGS)
2127AC_SUBST(GTKLIBS)
2128AC_SUBST(GNOMECFLAGS)
2129AC_SUBST(TERMCAPLIB) 1903AC_SUBST(TERMCAPLIB)
2130AC_SUBST(MAIN) 1904AC_SUBST(MAIN)
2131AC_SUBST(MAKEFILE_TARGET) 1905AC_SUBST(MAKEFILE_TARGET)
2132AC_SUBST(PERIFILE) 1906AC_SUBST(PERIFILE)
2133AC_SUBST(GUILIB)
2134AC_SUBST(GZVT)
2135AC_SUBST(XDRLIB) 1907AC_SUBST(XDRLIB)
2136AC_SUBST(XDRLIBNAME) 1908AC_SUBST(XDRLIBNAME)
2137AC_SUBST(WINXFLAGS) 1909AC_SUBST(WINXFLAGS)
@@ -2202,7 +1974,6 @@ AC_SUBST(IMPENV)
2202AC_SUBST(ZZLEDT) 1974AC_SUBST(ZZLEDT)
2203AC_SUBST(STRIP) 1975AC_SUBST(STRIP)
2204AC_SUBST(HTMLFLAGS) 1976AC_SUBST(HTMLFLAGS)
2205AC_SUBST(GTKPLUGBUG)
2206AC_SUBST(XXTXEXT) 1977AC_SUBST(XXTXEXT)
2207AC_SUBST(XX11) 1978AC_SUBST(XX11)
2208AC_SUBST(PERIX11NOPT) 1979AC_SUBST(PERIX11NOPT)
@@ -2213,5 +1984,5 @@ AC_SUBST(TERM_LDFLAGS)
2213AC_SUBST(JAVASCITARGET) 1984AC_SUBST(JAVASCITARGET)
2214AC_SUBST(JAVA_INCL) 1985AC_SUBST(JAVA_INCL)
2215AC_SUBST(GCCFIX) 1986AC_SUBST(GCCFIX)
2216AC_OUTPUT(Makefile.OBJ Makefile.incl Makefile scripts/Makefile routines/Makefile routines/default/Makefile routines/os_specific/Makefile routines/graphics/Makefile routines/menusX/Makefile routines/xsci/Makefile routines/sparse/Makefile Makemex config/Makeso.incl routines/interf/Makefile routines/control/Makefile routines/calelm/Makefile config/Makefile.aix config/Makefile.ultrix routines/lapack/Makefile scripts/scilab.g scripts/scilab-gtk.g examples/Makefile routines/version.h imp/Makefile routines/gtksci/Makefile pvm3/Makefile pvm3/Makefile.aimk pvm3/hoster/Makefile.aimk config/configuration macros/util/gettklib.sci macros/util/xmlfiletohtml.sci routines/gzvt2/Makefile routines/Javasci/Makefile $MAN_FR $MAN_ENG) 1987AC_OUTPUT(Makefile.OBJ Makefile.incl Makefile scripts/Makefile routines/Makefile routines/default/Makefile routines/os_specific/Makefile routines/graphics/Makefile routines/menusX/Makefile routines/xsci/Makefile routines/sparse/Makefile Makemex config/Makeso.incl routines/interf/Makefile routines/control/Makefile routines/calelm/Makefile config/Makefile.aix config/Makefile.ultrix routines/lapack/Makefile scripts/scilab.g examples/Makefile routines/version.h imp/Makefile pvm3/Makefile pvm3/Makefile.aimk pvm3/hoster/Makefile.aimk config/configuration macros/util/gettklib.sci macros/util/xmlfiletohtml.sci routines/Javasci/Makefile $MAN_FR $MAN_ENG)
2217 1988
diff --git a/scilab/routines/Makefile.in b/scilab/routines/Makefile.in
index 9383b7c..f1ad43b 100644
--- a/scilab/routines/Makefile.in
+++ b/scilab/routines/Makefile.in
@@ -6,7 +6,7 @@ SCIDIRS = graphics calelm blas control default integ interf intersci \
6 lapack slicot arpack \ 6 lapack slicot arpack \
7 metanet optim poly signal sparse os_specific system system2 console\ 7 metanet optim poly signal sparse os_specific system system2 console\
8 menusX scicos fileio dcd randlib slicot arpack wintools\ 8 menusX scicos fileio dcd randlib slicot arpack wintools\
9 gd int time sound @GUILIB@ @XDRLIB@ @TCLSCIDIR@ @PVMSCIDIR@ @GZVT@ 9 gd int time sound xsci @XDRLIB@ @TCLSCIDIR@ @PVMSCIDIR@
10 10
11SUBDIRS = $(XAW_LOCAL_SUBDIR) $(DLD_SUBDIR) $(SCIDIRS) @F2C_SUBDIR@ 11SUBDIRS = $(XAW_LOCAL_SUBDIR) $(DLD_SUBDIR) $(SCIDIRS) @F2C_SUBDIR@
12 12